OpenJPEG: opj_image_comptparm Struct Reference

OpenJPEG 2.5.3

Public Member Functions | Data Fields
opj_image_comptparm Struct Reference

Component parameters structure used by the opj_image_create function. More...

`#include <openjpeg.h>`

## Public Member Functions
| OPJ_DEPRECATED_STRUCT_MEMBER (OPJ_UINT32 bpp, "Use prec instead")
| obsolete: use prec instead

## Data Fields
OPJ_UINT32 | dx
| XRsiz: horizontal separation of a sample of ith component with respect to the reference grid.
OPJ_UINT32 | dy
| YRsiz: vertical separation of a sample of ith component with respect to the reference grid.
OPJ_UINT32 | w
| data width
OPJ_UINT32 | h
| data height
OPJ_UINT32 | x0
| x component offset compared to the whole image
OPJ_UINT32 | y0
| y component offset compared to the whole image
OPJ_UINT32 | prec
| precision: number of bits per component per pixel
OPJ_UINT32 | sgnd
| signed (1) / unsigned (0)

## Detailed Description

Component parameters structure used by the opj_image_create function.

## Member Function Documentation

## ◆ OPJ_DEPRECATED_STRUCT_MEMBER()

opj_image_comptparm::OPJ_DEPRECATED_STRUCT_MEMBER | ( | OPJ_UINT32 | bpp,
|  | "Use prec instead" | )

obsolete: use prec instead

## Field Documentation

## ◆ dx

OPJ_UINT32 opj_image_comptparm::dx

XRsiz: horizontal separation of a sample of ith component with respect to the reference grid.

Referenced by opj_image_create(), and opj_image_tile_create().

## ◆ dy

OPJ_UINT32 opj_image_comptparm::dy

YRsiz: vertical separation of a sample of ith component with respect to the reference grid.

Referenced by opj_image_create(), and opj_image_tile_create().

## ◆ h

OPJ_UINT32 opj_image_comptparm::h

data height

Referenced by opj_image_create(), and opj_image_tile_create().

## ◆ prec

OPJ_UINT32 opj_image_comptparm::prec

precision: number of bits per component per pixel

Referenced by opj_image_create(), and opj_image_tile_create().

## ◆ sgnd

OPJ_UINT32 opj_image_comptparm::sgnd

signed (1) / unsigned (0)

Referenced by opj_image_create(), and opj_image_tile_create().

## ◆ w

OPJ_UINT32 opj_image_comptparm::w

data width

Referenced by opj_image_create(), and opj_image_tile_create().

## ◆ x0

OPJ_UINT32 opj_image_comptparm::x0

x component offset compared to the whole image

Referenced by opj_image_create(), and opj_image_tile_create().

## ◆ y0

OPJ_UINT32 opj_image_comptparm::y0

y component offset compared to the whole image

Referenced by opj_image_create(), and opj_image_tile_create().

The documentation for this struct was generated from the following file:

- openjpeg.h